- Qt 6.11
- Qt Qml
- Prototyping, Debugging and Profiling QML Applications
- qmlpreview
- Qt 6.11.2 Reference Documentation

Prototyping with the QML Runtime Tool ◦ Debugging QML Applications

# qmlpreview

## The Qml Preview

The QML Preview tool watches QML and JavaScript files on disk and updates the application live with any changes. The application to be previewed has to have QML debugging enabled. More...

Usage
qmlpreview [options] executable [parameters...]

### options

Option | Description
--- | ---
–verbose | Print debugging output.
-h, –help | Displays help on commandline options.
–help-all | Displays help, including generic Qt options.
-v, –version | Displays version information.

### Arguments

Argument | Description
--- | ---
executable | The path of the executable file that loads a QML document.
parameters | Arguments of the executable

### Details

#### Enable QML Debugging

To use `qmlpreview` on an executable, the executable must be built with the QML debugging infrastructure enabled.

Prototyping with the QML Runtime Tool ◦ Debugging QML Applications